View Issue Details

IDProjectCategoryView StatusLast Update
0002093XdebugInstallationpublic2022-07-20 15:49
Reporterwberdnik Assigned Toderick  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Fixed in Version3.2.0alpha1 
Summary0002093: Fatal error: linux/rtnetlink.h: No such file or directory linux/rtnetlink.h
Description

Compilation error (log):

mkdir src/coverage/.libs
cc -I. -I/var/www/html/xdebug -I/var/www/html/xdebug/include -I/var/www/html/xdebug/main -I/var/www/html/xdebug -I/usr/local/include/php -I/usr/local/include/php/main -I/usr/local/include/php/TSRM -I/usr/local/include/php/Zend -I/usr/local/include/php/ext -I/usr/local/include/php/ext/date/lib -I/var/www/html/xdebug/src -DHAVE_CONFIG_H -g -O2 -g -O0 -Wall -Wdeclaration-after-statement -Wdiscarded-qualifiers -Wempty-body -Wenum-compare -Werror -Wextra -Wformat-nonliteral -Wformat-security -Wimplicit-fallthrough -Winit-self -Wlogical-not-parentheses -Wlogical-op -Wmaybe-uninitialized -Wmissing-format-attribute -Wno-missing-field-initializers -Wno-sign-compare -Wno-unused-but-set-variable -Wno-unused-parameter -Wno-variadic-macros -Wparentheses -Wsizeof-array-argument -Wwrite-strings -Wpointer-arith -fdiagnostics-show-option -fno-exceptions -fno-omit-frame-pointer -fno-optimize-sibling-calls -fstack-protector -c /var/www/html/xdebug/src/debugger/ip_info.c  -fPIC -DPIC -o src/debugger/.libs/ip_info.o
/var/www/html/xdebug/src/debugger/ip_info.c:24:10: fatal error: linux/rtnetlink.h: No such file or directory
   24 | #include <linux/rtnetlink.h>
      |          ^~~~~~~~~~~~~~~~~~~
compilation terminated.
make: *** [Makefile:314: src/debugger/ip_info.lo] Error 1
Steps To Reproduce
apk add --update --no-cache --virtual .docker-php-xdebug-dependancies \
          bash \
          git && \
      git clone https://github.com/xdebug/xdebug.git && \
      cd xdebug && \
# !! latest version (2022-May-12 15:00)
      ./rebuild.sh 
Additional Information

Successful compilation if I checkouted to tag 3.1.4:

apk add --update --no-cache --virtual .docker-php-xdebug-dependancies \
          bash \
          git && \
      git clone https://github.com/xdebug/xdebug.git && \
      cd xdebug && \
# !!! checkout to last tag
      git checkout 3.1.4 && \
      ./rebuild.sh && \
TagsNo tags attached.
Operating Systemdocker image: php:8.0.9-fpm-alpine
PHP Version8.0.5-8.0.9

Activities

Issue History

Date Modified Username Field Change
2022-05-12 12:10 wberdnik New Issue
2022-05-12 15:53 derick Description Updated
2022-05-12 15:53 derick Steps to Reproduce Updated
2022-05-12 15:53 derick Additional Information Updated
2022-05-17 14:28 derick Assigned To => derick
2022-05-17 14:28 derick Status new => closed
2022-05-17 14:28 derick Resolution open => fixed
2022-05-17 14:28 derick Fixed in Version => 3.2dev
2022-05-17 14:28 derick Note Added: 0006307
2022-07-20 15:49 derick Fixed in Version 3.2dev => 3.2.0alpha1